/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityDevelTask;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class ConstructionContract {
    public void makeConstructionContract() {
    }

    public BigDecimal calcCost() {
        return new BigDecimal(0);
    }

    /**  */
    public int calcTime() {
        return 0;
    }

    public BigDecimal estimateCostToCompletion() {
        return new BigDecimal(0);
    }

    public int estimateTimeToCompletion() {
        return 0;
    }

    public static Vector listConstructionContracts() {
        return new Vector();
    }

    public static BigDecimal calcAvgCostConstructionContract() {
        return new BigDecimal(0);
    }

    public static int calcAvgDurationConstructionContract() {
        return 0;
    }

    private String number;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..*
     */
    private ProductSaleMgmt.SaleToCustomer.TermsAndConditions lnkUnnamed;
    private String signator;
    private BigDecimal cost;
    private int interval;
    private BigDecimal percentComplete;
    private String termsAndConditions;
    private int status;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private ConstructionSpec lnkUnnamed1;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private ConstructionStandard lnkUnnamed3;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private ConstructionContractCharge lnkUnnamed2;
}


